package com.tencent.mm.plugin.brandservice.ui.timeline.preload.ui;

import a.l;
import android.os.Looper;
import android.os.MessageQueue.IdleHandler;
import com.tencent.matrix.trace.core.AppMethodBeat;

@l(dWo = {1, 1, 13}, dWp = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, dWq = {"<anonymous>", "", "run"})
final class c$c implements Runnable {
    public static final c$c jUE = new c$c();

    static {
        AppMethodBeat.i(15036);
        AppMethodBeat.o(15036);
    }

    c$c() {
    }

    public final void run() {
        AppMethodBeat.i(15035);
        Looper.myQueue().addIdleHandler(new IdleHandler() {
            public final boolean queueIdle() {
                AppMethodBeat.i(15034);
                Looper.myQueue().removeIdleHandler(this);
                c.a(c.jUB);
                AppMethodBeat.o(15034);
                return false;
            }
        });
        AppMethodBeat.o(15035);
    }
}
